Verisure Plugin

Posted on
Sun Jan 10, 2016 8:42 am
lindehoff offline
Posts: 80
Joined: Aug 08, 2015

Re: Verisure Plugin

haavarda wrote:
Hi. The verisure my Pages has a possibility to enable or disable auto locking of the door. Is this possible to add to the plugin? If there is a lot of of traffic through the door it would be nice to disable auto lock for 1 hour etc...

Thanks for a great plugin!


Yes it is possible, I will try to implement it as soon as possible. You can see the status via this Issue on Github
.

Posted on
Wed Feb 03, 2016 1:38 am
lindehoff offline
Posts: 80
Joined: Aug 08, 2015

Verisure Plugin 0.3.0

New version available 0.3.0

Improvements
  • Plugin now support updates directly from Indigo #21
  • Exclude the python-verisure module from the plugin, you now have to install this module manually using
    Code: Select all
    sudo pip2.6 install vsure
  • Change Automatic Locking settings (Enable/Disable) #23

To get this version to work you have to do 2 things:
  • Install the vsure python module
    Code: Select all
    sudo pip2.6 install vsure
  • You have to update you Lock Devices by deleting the lock and adding it again or open the Lock Device then click "Edit Device Settings" and then click Save.

Posted on
Wed Feb 03, 2016 4:59 am
haavarda offline
User avatar
Posts: 702
Joined: Aug 18, 2012
Location: Norway

Re: Verisure Plugin

Hi,
Thanks for the update.

I am getting the following error when I try do disable AutoLock:

Code: Select all
  Action Group                    Verisure - disable AutoLock 1h
  Verisure Error                  Error in plugin execution ExecuteAction:

Traceback (most recent call last):
  File "plugin.py", line 321, in updateAutoLockStatus
<type 'exceptions.KeyError'>: key automaticLocking not found in dict


Any idea?

Håvard

Posted on
Wed Feb 03, 2016 5:03 am
lindehoff offline
Posts: 80
Joined: Aug 08, 2015

Re: Verisure Plugin

haavarda wrote:
Hi,
Thanks for the update.

I am getting the following error when I try do disable AutoLock:

Code: Select all
  Action Group                    Verisure - disable AutoLock 1h
  Verisure Error                  Error in plugin execution ExecuteAction:

Traceback (most recent call last):
  File "plugin.py", line 321, in updateAutoLockStatus
<type 'exceptions.KeyError'>: key automaticLocking not found in dict


Any idea?


Have you done the last step in my upgrade description:
  • You have to update you Lock Devices by deleting the lock and adding it again or open the Lock Device then click "Edit Device Settings" and then click Save.

Posted on
Wed Feb 03, 2016 5:06 am
haavarda offline
User avatar
Posts: 702
Joined: Aug 18, 2012
Location: Norway

Re: Verisure Plugin

Yes. I deleted the device, and created a new one...

Håvard

Posted on
Wed Feb 03, 2016 5:26 am
lindehoff offline
Posts: 80
Joined: Aug 08, 2015

Re: Verisure Plugin

haavarda wrote:
Yes. I deleted the device, and created a new one...

When you are using the Action, you must click the "Edit Action Settings.." button and the click Save.

Posted on
Wed Feb 03, 2016 5:34 am
haavarda offline
User avatar
Posts: 702
Joined: Aug 18, 2012
Location: Norway

Re: Verisure Plugin

That did the trick. Thanks for your quick response.

Håvard

Posted on
Wed Feb 03, 2016 5:38 am
lindehoff offline
Posts: 80
Joined: Aug 08, 2015

Re: Verisure Plugin

New version 0.3.1
haavarda wrote:
That did the trick. Thanks for your quick response.

I have done a new release that should fix this. Please try the new Update feature within Indigo, Plugins->Verisure->Update Plugin

Posted on
Sat Feb 20, 2016 4:57 am
DrLove offline
Posts: 200
Joined: Dec 12, 2014
Location: Sweden

Re: Verisure Plugin

Hi! Great plugin!

I think you have introduced some unicode problems in your later releases:

<type 'exceptions.UnicodeEncodeError'>: 'ascii' codec can't encode character u'\xf6' in position 6: ordinal not in range(128)


Changing the name of my lock to something non-Swedish did the trick.

Best regards, L

Love Kull (yes it's my name)
Blog (in Swedish)
Sweden

Posted on
Sat May 14, 2016 2:58 pm
Bjornror offline
Posts: 5
Joined: Apr 27, 2016

Re: Verisure Plugin

Hello I'm getting this when I'm trying to start the app:

14 maj 2016 22:53:56
Reloading plugin "Verisure 0.3.0"
Starting plugin "Verisure 0.3.0" (pid 47925)
Verisure Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 11, in <module>
ImportError: No module named verisure

Stopping plugin "Verisure 0.3.0" (pid 47925)
Stopped plugin "Verisure 0.3.0"

Ive installed the verisure python module without any problems. running El capitan.


Björn

Posted on
Sun May 15, 2016 10:37 am
jay (support) offline
Site Admin
User avatar
Posts: 16202
Joined: Mar 19, 2008
Location: Austin, Texas

Re: Verisure Plugin

How did you install that python module? It needs to be installed in python 2.6 not 2.7.

Jay (Indigo Support)
Twitter | Facebook | LinkedIn

Posted on
Sun May 15, 2016 10:47 am
lindehoff offline
Posts: 80
Joined: Aug 08, 2015

Re: Verisure Plugin

Bjornror wrote:
Hello I'm getting this when I'm trying to start the app:

14 maj 2016 22:53:56
Reloading plugin "Verisure 0.3.0"
Starting plugin "Verisure 0.3.0" (pid 47925)
Verisure Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 11, in <module>
ImportError: No module named verisure

Stopping plugin "Verisure 0.3.0" (pid 47925)
Stopped plugin "Verisure 0.3.0"

Ive installed the verisure python module without any problems. running El capitan.


Björn

Sorry, I haven't had the time to replay. Try
Code: Select all
sudo pip2.6 install vsure

Posted on
Sun May 15, 2016 4:42 pm
Bjornror offline
Posts: 5
Joined: Apr 27, 2016

Re: Verisure Plugin

jay (support) wrote:
How did you install that python module? It needs to be installed in python 2.6 not 2.7.


I'm on el capitan and it comes with python 2.7 and I'm not sure if i could downgrade it to 2.6.
How to approach this problem?

Björn

Posted on
Mon May 16, 2016 9:02 am
jay (support) offline
Site Admin
User avatar
Posts: 16202
Joined: Mar 19, 2008
Location: Austin, Texas

Re: Verisure Plugin

Python 2.6 is also installed on El Capitan. Python 2.7 is the default install, but there are 2.6 versions of all python commands. So, for python there's a corresponding python2.6, for pip there should be a pip2.6, etc.

Jay (Indigo Support)
Twitter | Facebook | LinkedIn

Posted on
Mon May 16, 2016 11:51 am
Bjornror offline
Posts: 5
Joined: Apr 27, 2016

Re: Verisure Plugin

jay (support) wrote:
Python 2.6 is also installed on El Capitan. Python 2.7 is the default install, but there are 2.6 versions of all python commands. So, for python there's a corresponding python2.6, for pip there should be a pip2.6, etc.



Ok i try to install with 2.6 and get this:

MiniMac:~ bjorn1$ pip2.6 install vsure
-bash: pip2.6: command not found

How do i use 2.6 ?

Page 4 of 10 1, 2, 3, 4, 5, 6, 7 ... 10

Who is online

Users browsing this forum: No registered users and 1 guest